
$mobile_width: 640px;
$tablet_width: 768px;
$desktop_width: 1024px;

@mixin tablet {
    @media (min-width: #{$tablet_width}) and (max-width: #{$desktop_width - 1px}) {
        @content;
    }
}

@mixin tabletDown {
    @media (max-width: #{$tablet_width - 1px}) {
        @content;
    }
}

@mixin mobile {
    @media (max-width: #{$mobile_width}) {
        @content;
    }
}

@mixin desktop {
    @media (min-width: #{$desktop_width}) {
        @content;
    }
}